## org.apache.fop.dom.svg
Class SVGElementImpl

    java.lang.Object
      |
      +--org.apache.fop.dom.NodeImpl
            |
            +--org.apache.fop.dom.ElementImpl
                  |
                  +--org.apache.fop.dom.svg.SVGElementImpl

Direct Known Subclasses:
  GraphicElement, SVGAltGlyphElementImpl, SVGAnimateColorElementImpl, SVGAnimateElementImpl, SVGAnimateMotionElementImpl, SVGAnimateTransformElementImpl, SVGFontElementImpl, SVGGlyphElementImpl, SVGHKernElementImpl, SVGMissingGlyphElementImpl, SVGStopElementImpl, SVGTextPathElementImpl, SVGVKernElementImpl

public abstract class SVGElementImpl
extends ElementImpl
implements org.w3c.dom.svg.SVGElement

Fields inherited from class org.apache.fop.dom.NodeImpl
`childs, ownerDoc`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`SVGElementImpl()`

Method Summary
`org.w3c.dom.Node` `appendChild(org.w3c.dom.Node newChild)`
`org.w3c.dom.css.CSSValue` `getAnimatedPresentationAttribute(java.lang.String name)`
`org.w3c.dom.svg.SVGAnimatedString` `getClassName()`
`org.w3c.dom.svg.SVGAnimatedBoolean` `getExternalResourcesRequired()`
`java.lang.String` `getId()`
`java.lang.String` `getNamespaceURI()`
`org.w3c.dom.svg.SVGSVGElement` `getOwnerSVGElement()`
`org.w3c.dom.css.CSSValue` `getPresentationAttribute(java.lang.String name)`
`org.w3c.dom.css.CSSStyleDeclaration` `getStyle()`
`org.w3c.dom.svg.SVGElement` `getViewportElement()`
`void` `setClassName(org.w3c.dom.svg.SVGAnimatedString className)`
`void` `setExternalResourcesRequired(org.w3c.dom.svg.SVGAnimatedBoolean externalResourcesRequired)`
`void` `setId(java.lang.String id)`
`void` `setOwnerSVG(org.w3c.dom.svg.SVGSVGElement owner)`
`void` `setStyle(org.w3c.dom.css.CSSStyleDeclaration dec)`

Methods inherited from class org.apache.fop.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, hasAttribute, hasAttributeNS, hasAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, replaceChild, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from class org.apache.fop.dom.NodeImpl
`cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTagName, hasChildNodes, insertBefore, isSupported, normalize, removeChild, setNodeValue, setPrefix, supports`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGElementImpl

    public SVGElementImpl()

Method Detail

### getId

    public java.lang.String getId()

  Specified by:
    getId in interface org.w3c.dom.svg.SVGElement

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Overrides:
    getNamespaceURI in class NodeImpl

### setId

    public void setId(java.lang.String id)

  Specified by:
    setId in interface org.w3c.dom.svg.SVGElement

### getOwnerSVGElement

    public org.w3c.dom.svg.SVGSVGElement getOwnerSVGElement()

  Specified by:
    getOwnerSVGElement in interface org.w3c.dom.svg.SVGElement

### getViewportElement

    public org.w3c.dom.svg.SVGElement getViewportElement()

  Specified by:
    getViewportElement in interface org.w3c.dom.svg.SVGElement

### getClassName

    public org.w3c.dom.svg.SVGAnimatedString getClassName()

### setClassName

    public void setClassName(org.w3c.dom.svg.SVGAnimatedString className)

### getPresentationAttribute

    public org.w3c.dom.css.CSSValue getPresentationAttribute(java.lang.String name)

### getAnimatedPresentationAttribute

    public org.w3c.dom.css.CSSValue getAnimatedPresentationAttribute(java.lang.String name)

### getStyle

    public org.w3c.dom.css.CSSStyleDeclaration getStyle()

### setStyle

    public void setStyle(org.w3c.dom.css.CSSStyleDeclaration dec)

### getExternalResourcesRequired

    public org.w3c.dom.svg.SVGAnimatedBoolean getExternalResourcesRequired()

### setExternalResourcesRequired

    public void setExternalResourcesRequired(org.w3c.dom.svg.SVGAnimatedBoolean externalResourcesRequired)

### appendChild

    public org.w3c.dom.Node appendChild(org.w3c.dom.Node newChild)
                                 throws org.w3c.dom.DOMException

  Overrides:
    appendChild in class NodeImpl

### setOwnerSVG

    public void setOwnerSVG(org.w3c.dom.svg.SVGSVGElement owner)

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.